DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageReadICS

Read ICS image from file (in dipIO)

## SYNOPSIS

`#include "dipio_ics.h"`

dip_Error dipio_ImageReadICS ( image, filename, photometric, offset, roisize, sampling )

## FUNCTION

This function reads the image in the ICS file and puts it in `image`. `image` must be allocated before calling this function. `photometric` is set to match the photometric interpretation of the data in the file, if it is recognised. The colour dimension is always the last dimension of the image (no matter how it was saved in the ICS file). `offset`, `roisize` and `sampling` define a ROI to read in. See the comments in `ImageReadROI` for more information on this.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dipio_PhotometricInterpretation*` | `photometric` | Photometric interpretation
`dip_IntegerArray` | `offset` | ROI offset
`dip_IntegerArray` | `roisize` | ROI size
`dip_IntegerArray` | `sampling` | ROI sampling rate

The enumerator `dipio_PhotometricInterpretation` contains the following constants:

Name | Description
`DIPIO_PHM_GREYVALUE` | No colour information present; it's a grey-value image.
`DIPIO_PHM_RGB` | RGB image (the first three planes are red, green and blue)
`DIPIO_PHM_RGB_NONLINEAR` | Non-linear R'G'B' image (RGB channels to the power of 0.4)
`DIPIO_PHM_CMY` | CMY image (the first three planes are cyan, magenta and yellow)
`DIPIO_PHM_CMYK` | CMYK image (the first four planes are cyan, magenta, yellow and black)
`DIPIO_PHM_CIELUV` | CIE L*u'v' image (the first three planes are luminosity, u* and v*)
`DIPIO_PHM_CIELAB` | CIE L*a*b* image (the first three planes are luminosity, a* and b*)
`DIPIO_PHM_CIEXYZ` | CIE XYZ (the first three planes are X, Y and Z)
`DIPIO_PHM_CIEYXY` | CIE Yxy (the first three planes are Y, x and y)
`DIPIO_PHM_HCV` | HCV image (the first three planes are hue, chroma and value)
`DIPIO_PHM_HSV` | HSV image (the first three planes are hue, saturation and value)
`DIPIO_PHM_DEFAULT` | Same as `DIPIO_PHM_GREYVALUE`
`DIPIO_PHM_GENERIC` | Anything can be coded in the channels; the same as `DIPIO_PHM_CMYK`

Most file formats support only some of these.

## SOFTWARE

This function uses `libics` (version 1.3 or later), which supports the ICS specification revision 2.0. Copyright (c)2000-2002 Cris L. Luengo Hendriks, Dr. Hans T.M. van der Voort and many others.

This function uses `zlib` (version 1.1.4 or later). Copyright (c)1995-2002 Jean-loup Gailly and Mark Adler

## SEE ALSO

`ImageRead`, `ImageReadColour`, `ImageReadROI`, `ImageWriteICS`, `ImageIsICS`

DIPlib on-line documentation | Function reference | Global function index